# This is the CRAN name
%global packname RcppZiggurat
# This is the main package version
%global packver 0.1
# Note that some R packages do not use packrel
%global packrel 6

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 1.fc40.lc
Summary: Ziggurat generator for normally distributed random numbers

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/RcppZiggurat/index.html
Source0: https://cran.r-project.org/src/contrib/%{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel tex(latex) texlive-inconsolata R-Rcpp R-RcppGSL R-Rcpp-devel gsl-devel
Requires: R-core
%define debug_package %{nil}

%description
R package:
Ziggurat generator for normally distributed random numbers

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/NEWS.Rd
%doc %{_libdir}/R/library/%{packname}/doc/RcppZiggurat.R
%doc %{_libdir}/R/library/%{packname}/doc/RcppZiggurat.Rmd
%doc %{_libdir}/R/library/%{packname}/doc/RcppZiggurat.pdf
%doc %{_libdir}/R/library/%{packname}/doc/index.html
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/code/rnorrexp.c
%{_libdir}/R/library/%{packname}/demo/benchmark.R
%{_libdir}/R/library/%{packname}/demo/chisqTest.R
%{_libdir}/R/library/%{packname}/demo/normalTest.R
%{_libdir}/R/library/%{packname}/demo/standardTest.R
%{_libdir}/R/library/%{packname}/include/Zigg.h
%{_libdir}/R/library/%{packname}/include/Ziggurat.h
%{_libdir}/R/library/%{packname}/include/ZigguratGSL.h
%{_libdir}/R/library/%{packname}/include/ZigguratGretl.h
%{_libdir}/R/library/%{packname}/include/ZigguratLZLLV.h
%{_libdir}/R/library/%{packname}/include/ZigguratMT.h
%{_libdir}/R/library/%{packname}/include/ZigguratQL.h
%{_libdir}/R/library/%{packname}/include/ZigguratQL_R.h
%{_libdir}/R/library/%{packname}/include/ZigguratR.h
%{_libdir}/R/library/%{packname}/include/ZigguratV1.h
%{_libdir}/R/library/%{packname}/include/ZigguratV1b.h
%{_libdir}/R/library/%{packname}/include/mt32wrapper.h
%{_libdir}/R/library/%{packname}/libs/RcppZiggurat.so

%changelog
* Fri Jul 26 2024 Stuart Raeburn <raeburn@loncapa.org> (0.1.6-1)
- Rebuild for R 4.4.1

* Wed Apr 24 2024 Stuart Raeburn <raeburn@loncapa.org> (0.1.6-0)
- Initial build 

